\resizebox{\columnwidth}{!}{%
    \begin{tikzpicture}[
        roundedrectangle/.style={draw, rounded corners, rectangle, minimum height=10pt, minimum width=20pt},
        invisible/.style={draw=none, fill=none},
        ]

        \node[invisible] (10) {};
        \node[roundedrectangle] (11) [right=60pt of 10] {\textcolor{blue}{$r_x(0,0)$}};
        \node[roundedrectangle, minimum width=100pt] (12) [right=50pt of 11] {$w_x(1)$};
        \node[invisible] (13) [right=100pt of 12] {};

        \node[invisible] (20) [below=15pt of 10] {};
        \node[roundedrectangle] (21) [right=20pt of 20] {\textcolor{blue}{$r_x/(0,0)$}};
        \node[roundedrectangle] (22) [right=50pt of 21] {\textcolor{red!70}{$r_x/(0,1)$}};
        \node[roundedrectangle] (23) [right=15pt of 22] {\textcolor{blue!70}{$r_x/(0,0)$}};
        \node[roundedrectangle] (24) [right=10pt of 23] {\textcolor{blue!70}{$r_x/(0,0)$}};
        \node[roundedrectangle] (25) [right=20pt of 24] {\textcolor{red}{$r_x/(0,1)$}};
        \node[invisible] (26) [below=15pt of 13] {};

        \draw (10) -- (11) -- (12) -- (13);
        \draw (20) -- (21) -- (22) -- (23) -- (24) -- (25) -- (26);
    \end{tikzpicture}
}